<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'coupon',

    /*
     * Modules.
     */
    'modules'   => ['coupons'],

    
    'coupons'       => [
        'model' => [
            'model'                 => \Litecms\Coupon\Models\Coupons::class,
            'table'                 => 'coupons',
            'presenter'             => \Litecms\Coupon\Repositories\Presenter\CouponsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['coupon_code',  'discount',  'start_date',  'end_date',  'coupon_limit',  'coupon_status'],
            'translatables'         => [],
            'upload_folder'         => 'coupon/coupons',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Coupon',
            'module'    => 'Coupons',
        ],

    ],
];
