<?php

namespace Litecms\Coupon;

use User;

class Coupon
{
    /**
     * $coupons object.
     */
    protected $coupons;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Coupon\Interfaces\CouponsRepositoryInterface $coupons)
    {
        $this->coupons = $coupons;
    }

    /**
     * Returns count of coupon.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.coupons.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->coupons->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\CouponsUserCriteria());
        }

        $coupons = $this->coupons->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('coupon::' . $view, compact('coupons'))->render();
    }
}
