<?php

namespace Litecms\Coupon\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CouponsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Coupon\Models\Coupons $coupons)
    {
        return [
            'id'                => $coupons->getRouteKey(),
            'key'               => [
                'public'    => $coupons->getPublicKey(),
                'route'     => $coupons->getRouteKey(),
            ], 
            'coupon_code'       => $coupons->coupon_code,
            'discount'          => $coupons->discount,
            'start_date'        => $coupons->start_date,
            'end_date'          => $coupons->end_date,
            'coupon_limit'      => $coupons->coupon_limit,
            'coupon_status'     => $coupons->coupon_status,
            'url'               => [
                'public'    => trans_url('coupon/'.$coupons->getPublicKey()),
                'user'      => guard_url('coupon/coupons/'.$coupons->getRouteKey()),
            ], 
            'status'            => trans('app.'.$coupons->status),
            'created_at'        => format_date($coupons->created_at),
            'updated_at'        => format_date($coupons->updated_at),
        ];
    }
}